Bug 5098 - mount.cifs with plaintext fails
mount.cifs with plaintext fails
Status: RESOLVED FIXED
Product: CifsVFS
Classification: Unclassified
Component: user space tools
2.6
x86 Windows XP
: P3 normal
: ---
Assigned To: Steve French
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-21 07:29 UTC by Olivier JAVAUX
Modified: 2009-05-13 16:05 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier JAVAUX 2007-11-21 07:29:22 UTC
I am using samba with pam and LDAP for authentification.
It is working well : my Windows client can connect to the shares (with plaintext password).
I can also mount the share from an old Linux release with mount -t smbfs
But i cannot mount it with mount.cifs
I have set SecurityFlags to 0x20 to allow plaintext passwords.
Doing a network capture, i see that there is a problem with the uid searched in the LDAP database : instead of the given user, i have 'pcap'
The correct uid is searched if i have SecurityFlags=0x7, but the password is encrypted.
If i have SecurityFlags=0x20, incorrect uid is searched ('pcap') and auth cannot be done.
Comment 1 Steve French 2008-09-04 13:42:34 UTC
This should be fixed now - see bug 5319
Comment 2 Shirish S. Pargaonkar 2009-03-20 01:11:37 UTC
Has this been tested, is this still an issue after the fix was mentioned?
Comment 3 Steve French 2009-05-13 16:05:33 UTC
fixed

reopen if see additional problems